/*
 * Memory allocator wrappers
 */

#ifndef XMALLOC_H_
#define XMALLOC_H_

void *xmalloc(size_t size);
void *xmalloc0(size_t size);
void xfree(void *ptr);
void *xcalloc(size_t nmemb, size_t size);
void *xrealloc(void *mem, size_t new_size);
void *xrealloc0(void *mem, size_t old_size, size_t new_size);

char *xstrndup(const char *str, size_t max);
char *xstrdup(const char *str);
char *xstrncpy(char *dst, const char *src, size_t max);
char *xgetcwd();

#endif
